Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.flagstone.transform
Class FSSetBackgroundColor

    java.lang.Object
      com.flagstone.transform.FSTransformObject
          com.flagstone.transform.FSMovieObject
              com.flagstone.transform.FSSetBackgroundColor

All Implemented Interfaces:
  java.lang.Cloneable

    public class FSSetBackgroundColor

extends FSMovieObject

FSSetBackgroundColor sets the background colour displayed in every frame in the movie.

Attributes
type | Identifies the data structure when it is encoded. Read-only.
color | An FSColor object that defines the background colour.

Although the colour is specified using an FSColor object the colour displayed is completely opaque - the alpha channel information in the object is ignored.

The background colour must be set before the first frame is displayed otherwise the background colour defaults to white. This is typically the first object in a coder. If more than one FSSetBackgroundColor object is added to a movie then only first one sets the background colour. Subsequent objects are ignored.

      FSMovie movie = new FSMovie();

      movie.setFrameSize(new FSBounds(0, 0, 8000, 8000)); // twips = 400 x 400 pixels
      movie.setFrameRate(1.0f); 1 frame per second.

      movie.add(new FSSetBackgroundColor(new FSColor(0xAD, 0xD8, 0xE6))); // light blue

# History

The FSSetBackgroundColor class represents the SetBackgroundColor tag from the Macromedia Flash (SWF) File Format Specification. It was introduced in Flash 1.

Field Summary

Fields inherited from class com.flagstone.transform.FSMovieObject
`ButtonColorTransform, ButtonSound, DefineBitsPtr, DefineButton, DefineButton2, DefineFont, DefineFont2, DefineImage, DefineImage2, DefineJPEGImage, DefineJPEGImage2, DefineJPEGImage3, DefineMorphShape, DefineMovieClip, DefineShape, DefineShape2, DefineShape3, DefineSound, DefineText, DefineText2, DefineTextField, DefineVideo, DoAction, EnableDebugger, EnableDebugger2, Export, extendLength, FontInfo, FontInfo2, FrameLabel, Free, Import, Initialize, JPEGTables, length, LimitScript, PathsArePostscript, PlaceObject, PlaceObject2, Protect, QuicktimeMovie, RemoveObject, RemoveObject2, SerialNumber, SetBackgroundColor, ShowFrame, SoundStreamBlock, SoundStreamHead, SoundStreamHead2, StartSound, TabOrder, type, VideoFrame`

Constructor Summary
`FSSetBackgroundColor(FSCoder coder)` Construct an FSSetBackgroundColor object, initialising it with values decoded from an encoded object.
`FSSetBackgroundColor(FSColor aColor)` Constructs an FSSetBackgroundColor object with a the specified colour.
`FSSetBackgroundColor(FSSetBackgroundColor obj)` Constructs an FSSetBackgroundColor object by copying values from an existing object.

Method Summary
`void` | `appendDescription(java.lang.StringBuffer buffer, int depth)` AppendDescription is used to present a string description of the object including all nested objects up to a specified depth.
`java.lang.Object` | `clone()` Creates a deep copy of the entire object.
`void` | `decode(FSCoder coder)`
`void` | `encode(FSCoder coder)`
`boolean` | `equals(java.lang.Object anObject)` Returns true if anObject is equal to this one.
`FSColor` | `getColor()` Gets the colour for the movie background.
`int` | `length(FSCoder coder)`
`void` | `setColor(FSColor aColor)` Sets the colour for the movie background.

Methods inherited from class com.flagstone.transform.FSMovieObject
`getType`

Methods inherited from class com.flagstone.transform.FSTransformObject
`name, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FSSetBackgroundColor

    public FSSetBackgroundColor(FSCoder coder)

  Construct an FSSetBackgroundColor object, initialising it with values decoded from an encoded object.

  Parameters:
    `coder` - an FSCoder containing the binary data.

### FSSetBackgroundColor

    public FSSetBackgroundColor(FSColor aColor)

  Constructs an FSSetBackgroundColor object with a the specified colour.

  Parameters:
    `aColor` - the colour for the background.

### FSSetBackgroundColor

    public FSSetBackgroundColor(FSSetBackgroundColor obj)

  Constructs an FSSetBackgroundColor object by copying values from an existing object.

  Parameters:
    `obj` - an FSSetBackgroundColor object.

Method Detail

### getColor

    public FSColor getColor()

  Gets the colour for the movie background.

  Returns:
    the FSColor object defining the movie's background colour.

### setColor

    public void setColor(FSColor aColor)

  Sets the colour for the movie background.

  Parameters:
    `aColor` - the colour for the background.

### clone

    public java.lang.Object clone()

  Description copied from class: `FSTransformObject`
  Creates a deep copy of the entire object.

  Overrides:
    `clone` in class `FSTransformObject`
  Returns:
    a copy of the object.

### equals

    public boolean equals(java.lang.Object anObject)

  Description copied from class: `FSMovieObject`
  Returns true if anObject is equal to this one. Objects are considered equal if they would generate identical binary data when they are encoded to a Flash file.

  Overrides:
    `equals` in class `FSMovieObject`
  Returns:
    true if this object would be identical to anObject when encoded.

### appendDescription

    public void appendDescription(java.lang.StringBuffer buffer,
                                  int depth)

  Description copied from class: `FSTransformObject`
  AppendDescription is used to present a string description of the object including all nested objects up to a specified depth. This method provide a more controlled way of creating a string representation of an object since large objects such as font or shape definitions can contain dozens of nested objects. The representation of the object is appended to the StringBuffer, showing the name of the class and values of the attributes it contains. If the object contains any attributes that are objects then the object graph will be traversed up to the specified depth. If objects are nested at a level less than specified depth then the full string representation of the object is displayed. For objects at the specified depth only the name of the class is displayed. Any objects below this depth are not displayed.

  Overrides:
    `appendDescription` in class `FSMovieObject`
  Parameters:
    `buffer` - a StringBuffer to which the description of each object is appended.
    `depth` - the maximum level of nesting up to which objects will be displayed.

### length

    public int length(FSCoder coder)

  Overrides:
    `length` in class `FSMovieObject`

### encode

    public void encode(FSCoder coder)

  Overrides:
    `encode` in class `FSMovieObject`

### decode

    public void decode(FSCoder coder)

  Overrides:
    `decode` in class `FSMovieObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD